% Copyright  2011 Computational Biomedicine Lab (CBL), 
% University of Houston. All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without
% modification, is prohibited without the prior written consent of CBL.

function val = hdaf(n,sigma,x)
% INPUT
%   n     - Number of Approximations for the Taylor Polynomial
%   sigma - Deviation of the Gaussian
%   x - Values to evaluate. It may be a scalar, or an array.
% 
% OUTPUT
% \left[\sum_{i=0}^{n}\frac{1}{k!}\left(\frac{x\sigma^2}{2}\right)^{i}
% \right]e^{-\frac{x\sigma^2}{2}}

  en=1.0;
  ft=1.0;
  
  for i=1:n
    ft = ft*i;
    en = en+((x*sigma^2)/2).^i/ft;
  end

  val = single(en.*exp((-1.0)*x*(sigma^2)/2));
end

% CREATED: 
% - Date: 03/17/2011
% - By: David Jimenez.
% - From: Previous Version. Unknown Programmer
% 
