% Copyright  2012 Computational Biomedicine Lab (CBL), 
% University of Houston. All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without
% modification, is prohibited without the prior written consent of CBL.
%
% This script allows the operator to manually choose parameters to generate
% training indices, in search for a suboptimal set.
% 

%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%% 
%%%             %%% 
%%%             %%% 
%%%   INDICES   %%% 
%%%             %%% 
%%%             %%% 
%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%% 

tic;

%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%% 
%%%               %%% 
%%% FIXED OPTIONS %%% 
%%%               %%% 
%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%% 
idx.trainIdx = true; 
idx.predIdx = false; 
idx.saveLap = true;
idx.saveTrain = true;
idx.predIdx = false; 

%%%%%%%%%%%%%%% 
%%% USELESS %%% 
%%%%%%%%%%%%%%% 
idx.solid = 0;
idx.predStr = '';
idx.predPerc = 0; 
idx.binary = 0; 
idx.eps = 1; 
idx.binNameList = {''};
idx.posLap = []; 
idx.negLap = []; 

%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%% 

%%%%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%%%%% 
%%%                  %%% 
%%% CHANGING OPTIONS %%% 
%%%                  %%% 
%%%%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%%%%% 

idx.genLap = true; % True if the Laplacian solids 
% idx.genLap = false; 
idx.lapFact = [0.25; 0.5; 0.75];

%%% Olfactory Projection Fibers
idx.boxes = {[5 115 297 438 4 52;73 185 113 282 25 60;127 245 1 56 5 41]};
idx.pos = {[1.4 1.1;1 1.1;1.25 1.1]};
idx.pathList = {'E:\Resized\Diadem\OPF\OP1'};
idx.nameList = {'OPF1'}; 

%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%% 
%%%               %%% 
%%%   RUNNING     %%% 
%%%               %%% 
%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%% 

idx = genIdx(idx);
N = cat(1,idx.nTrainIdx{:});
P = cat(1,idx.pTrainIdx{:});
n = length(N);
p = length(P);

toc;

% CREATED: 
% - Date: 09/06/2012
% - By: David Jimenez.
% 
