% Copyright  2012 Computational Biomedicine Lab (CBL), 
% University of Houston. All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without
% modification, is prohibited without the prior written consent of CBL.
%
% This scripts sets up the segmentation of a certain group of files.
% 

%%%%%%%%%%%%%%%%%%%% 
% CHANGING OPTIONS % 
%%%%%%%%%%%%%%%%%%%% 
prd.pathList = {'C:\Users\david\Desktop\for David\Raw\OP\Olfactory_Fibers_OP_1'}; 
prd.nameList = {'Olfactory_Fibers_OP_1'}; 
prd.modPath = 'E:\Model';
prd.modName = 'diademOP';
zSmearFactor = 1;
clSuffix = '_CL';

%%%%%%%%%%%%%%%%% 
% FIXED OPTIONS % 
%%%%%%%%%%%%%%%%% 
tic; runSegmentation(prd); toc; 

load(fullfile(prd.modPath, prd.modName));

mdSuffix = model.suffix;
pathList = prd.pathList;
nameList = prd.nameList; 

K = length(pathList);
L = zeros(K,4);

% parfor k = 1:K
for k = 1:K
    path = pathList{k};
    name = strcat(nameList{k}, mdSuffix,'_BIN');
    savName = fullfile(path,strcat(name,clSuffix,'.swc'));
    LB = .5;
    B = RAWfromMHD(name,[],path);
    tic; [S D I] = genSeeds(B,LB,zSmearFactor); 
    tic; T = joinSeeds(D,S,I); toc; 
    tic; T = genTraceTable(T); toc; 
    dlmwrite(savName, T.amiraTable, 'delimiter', ' ');
    % disp(k);
end

% CREATED: 
% - Date: 09/06/2012
% - By: David Jimenez.
% 
